> ## Documentation Index
> Fetch the complete documentation index at: https://docs.delaphonegh.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Bundle Status

> Retrieve the status of purchased bundle.



## OpenAPI

````yaml GET /v1/databundle/{referencecode}
openapi: 3.0.1
info:
  title: Delaphone CPaaS API
  description: APIs for sending SMS, purchasing data bundles, and buying airtime.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.delaphonegh.com
security:
  - bearerAuth: []
paths:
  /v1/databundle/{referencecode}:
    get:
      description: Retrieve the status of purchased bundle.
      responses:
        '200':
          description: Data purchase status retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataPurchaseHistory'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DataPurchaseHistory:
      type: object
      properties:
        transaction_id:
          description: Unique identifier for the data purchase
          type: string
        recipient_phone:
          description: Phone number of the recipient
          type: string
        recipient_network:
          description: Network of the recipient
          type: string
        plan_id:
          description: ID of the data bundle plan purchased
          type: string
        status:
          description: Status of the data purchase
          type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        success:
          type: boolean
          default: false
        error:
          type: object
          properties:
            status:
              type: integer
              format: int32
            title:
              type: string
              example: Invalid Request Value
            detail:
              type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````